### Description
Describe the idea, or how the feature should work.

### Why?
Describe why you think this is a needed/wanted feature.

### (Optionally) How?
Describe specifically how this feature should be implemented, in detail.

### (Optionally) Additional notes
Describe potentially extra information that hasn't been covered yet.